skb_segment
Prev | Socket Buffer Functions | Next

## Name

skb_segment — Perform protocol segmentation on skb.

## Synopsis

`struct sk_buff * skb_segment (` | struct sk_buff * | skb,
| int | features`)`;

## Arguments

`skb`

  buffer to segment

`features`

  features for the output path (see dev->features)

## Description

This function performs segmentation on the given skb. It returns the segment at the given position. It returns NULL if there are no more segments to generate, or when an error is encountered.

Prev | Up | Next
skb_pull_rcsum | Home | skb_cow_data